# RRDUpdater::update

(PECL rrd >= 0.9.0)

RRDUpdater::update — Update the RRD database file

### Beschreibung

public RRDUpdater::update(array `$values`, string `$time` = time() ): bool

Updates the RRD file defined via RRDUpdater::__construct(). The file is updated with a specific values.

### Parameter-Liste

`values`

  Data for update. Key is data source name.

`time`

  Time value for updating the RRD with a particular data. Default value is current time.

### Rückgabewerte

Gibt bei Erfolg `true` zurück. Bei einem Fehler wird `false` zurückgegeben.

### Fehler/Exceptions

Throws a Exception on error.

### Beispiele

Beispiel #1 RRDUpdater::update() examples

`<?php
$updator = new RRDUpdater("speed.rrd");
//updates the data source "speed" with value "12411"
//for time defined by timestamp "920807700"
$updator->update(array("speed" => "12411"), "920807700");
?>`
`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open